Update Subscription

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Supported Regions and Base URLs

👍

Access and Registration

Authentication

Scope

live-subscriptions:write

Body Response - Example

{
  "queries": [
    {
      "id": "7b8deafb74bf490288220fd3543b76af",
      "metadata": {
        "name": "arrived_contacts"
      },
      "params": {},
      "filters": {
        "ring_groups": [
          "agents"
        ],
        "range": {
          "type": "interval",
          "interval": 86400
        }
      }
    }
  ]
}

Body Response - Schema

200 (query from subscription)

ParameterTypeDescriptionRequired
idstringsubscription entry unique identifierno
_linksobject

"_links" subdivides into:

1 - "stream" (object)
1.1 - "href" (string) - stream URL

2 - "self" (object)
2.1 - "href" (string) - subscription URL

no
_embeddedobject

"_embedded" subdivides into:

1 - "entries" (array[object])

1.1 - "params" (object) - set of parameters for the query.

1.2 - "metadata" (object) - metadata related with the use of the query on the customer's end.

1.3 - "id" (string) - subscription entry unique identifier.

1.4 - "query_id" (string) - query unique identifier.

1.5 - "filters" (object) - set of filters for the query.

1.6 - "_links" (object)
1.6.1 - "self" (object)
1.6.1.1 - "href" (string)
1.6.2 - "query" (object)
1.6.2.1 - "href" (string)

no

400 (bad request), 401 (unauthorized access), 403 (forbidden access), 404 (subscription not found), 415 (unsupported media type)

ParameterTypeDescriptionRequired
codestringn/ayes
messagestringn/ayes
descriptionstringn/ano
fieldsarray[object]

"fields" subdivides into:

"name" (string)

"description" (string)

yes (name and description)
🚧

Troubleshooting

If you have any questions regarding the usage of this API, or if you’re having any technical issues, please open a ticket using this form.

❗️

Body Request Parameters

The body of the request consists of a parameter called queries, an array of objects that subdivides into id, metadata, params and filters. queries consists of a list of desired queries (i.e., metrics) which the customer wants to subscribe to.

Path Params
string
required
string
required
Body Params
string
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json